curl --request HEAD \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}"
headers = {"Authorization": "<api-key>"}
response = requests.head(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.HeadAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.head("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "HEAD",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'HEAD', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get media metadata
Get metadata of WhatsApp media sent by end-users to check media type and the size of a file without downloading the content.
Required scope: Enable one of: whatsapp:manage.
curl --request HEAD \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}"
headers = {"Authorization": "<api-key>"}
response = requests.head(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.HeadAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.head("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "HEAD",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'HEAD', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/media/{mediaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Registered WhatsApp sender number. Must be in international format.
ID of the media.
1Response
Media metadata successfully downloaded